local handler = require("event_handler")
handler.add_lib(require("freeplay"))

if script.active_mods["space-age"] then
  handler.add_lib(require("space-finish-script"))
else
  handler.add_lib(require("silo-script"))
end

-- Resize each surface to 2048 * 2048
script.on_event(defines.events.on_surface_created,
	function(event) 
		local s = game.surfaces[event.surface_index]
		s.force_generate_chunk_requests()
		local mgs = s.map_gen_settings
		mgs.width = 2048
		mgs.height = 2048
		s.map_gen_settings = mgs
		for c in s.get_chunks() do
			if c.area.left_top.x >= mgs.width/2 or c.area.right_bottom.x <= -mgs.width/2 
			or c.area.left_top.y >= mgs.height/2 or c.area.right_bottom.y <= -mgs.height/2 then
				s.delete_chunk(c)
			end
		end
	end)